# نام فایل‌ها را مشخص کنید
file1 = '/home/mihanbaz/public_html/bots/data/users.txt'
file2 = '/home/mihanbaz/public_html/bots/data/user2.txt'

# خواندن خطوط از فایل اول
with open(file1, 'r', encoding='utf-8') as f1:
    lines_file1 = set(f1.read().splitlines())

# خواندن خطوط از فایل دوم و شمارش تکرار
from collections import Counter

with open(file2, 'r', encoding='utf-8') as f2:
    lines_file2 = f2.read().splitlines()

# شمارش تکرار خطوط در user2.txt
line_counts = Counter(lines_file2)

# پیدا کردن خطوط مشابه و نوشتن به همان میزان تکرار
with open('data/Final.txt', 'w', encoding='utf-8') as output_file:
    for line in lines_file1:
        if line in line_counts:
            # نوشتن خط به میزان تکرار آن
            output_file.write((line + '\n') * line_counts[line])

print("خطوط مشابه به میزان تکرار در فایل Final.txt ذخیره شدند.")
